export type File = import("@eslint/core").File;
export type LanguageOptions = import("@html-eslint/parser").ParserOptions;
/**
 * @typedef {import('@eslint/core').File} File
 * @typedef {import('@html-eslint/parser').ParserOptions} LanguageOptions
 */
export class HTMLLanguage {
    /**
     * @property
     * @type {"text"}
     */
    fileType: "text";
    /**
     * @property
     * @type {0|1}
     */
    lineStart: 0 | 1;
    /**
     * @property
     * @type {0|1}
     */
    columnStart: 0 | 1;
    /**
     * @type {string}
     */
    nodeTypeKey: string;
    /**
     * The visitor keys for the CSSTree AST.
     * @type {Record<string, string[]>}
     */
    visitorKeys: Record<string, string[]>;
    /**
     * @param {LanguageOptions} languageOptions
     */
    validateLanguageOptions(languageOptions: LanguageOptions): void;
    /**
     * @param {File} file
     * @param {Object} [context]
     * @param {LanguageOptions} context.languageOptions
     * @returns {{ok: true; ast: any; comments: any[]} | {ok: false, errors: unknown[]}}
     */
    parse(file: File, context?: {
        languageOptions: LanguageOptions;
    }): {
        ok: true;
        ast: any;
        comments: any[];
    } | {
        ok: false;
        errors: unknown[];
    };
    /**
     * @param {File} file
     * @param {any} parseResult
     */
    createSourceCode(file: File, parseResult: any): HTMLSourceCode;
}
import { HTMLSourceCode } from "./html-source-code";
//# sourceMappingURL=html-language.d.ts.map